Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.engine.listeners
Class ErrorBasedConvergenceObserver

    java.lang.Object
      org.joone.util.MonitorPlugin
          org.joone.engine.listeners.ConvergenceObserver
              org.joone.engine.listeners.ErrorBasedConvergenceObserver

All Implemented Interfaces:
  java.io.Serializable, java.util.EventListener, NeuralNetListener

    public class ErrorBasedConvergenceObserver

extends ConvergenceObserver

This observer observes if the network has convergenced based on the sequence of training errors.

Author:
  Boris Jansen
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.joone.engine.listeners.ConvergenceObserver
`disableCurrentConvergence`

Constructor Summary
`ErrorBasedConvergenceObserver()` Creates a new instance of ErrorBasedConvergenceObserver

Method Summary
`int` | `getCycles()` Gets the number of cycles over which convergence is checked.
`double` | `getPercentage()` Gets the percentage.
`protected void` | `manageCycle(Monitor mon)`
`protected void` | `manageError(Monitor mon)`
`protected void` | `manageStart(Monitor mon)`
`protected void` | `manageStop(Monitor mon)`
`protected void` | `manageStopError(Monitor mon, java.lang.String msgErr)`
`void` | `setCycles(int aCylces)` Sets the number of cycles.
`void` | `setPercentage(double aPercentage)` Sets the percentage.

Methods inherited from class org.joone.engine.listeners.ConvergenceObserver
`addConvergenceListener, disableCurrentConvergence, fireNetConverged, removeConvergenceListener`

Methods inherited from class org.joone.util.MonitorPlugin
`cicleTerminated, errorChanged, getName, getNeuralNet, getRate, netStarted, netStopped, netStoppedError, setName, setNeuralNet, setRate, toBeManaged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorBasedConvergenceObserver

    public ErrorBasedConvergenceObserver()

  Creates a new instance of ErrorBasedConvergenceObserver

Method Detail

### setPercentage

    public void setPercentage(double aPercentage)

  Sets the percentage. Whenever a neural network's training error doesn't decrease more than this percentage for a couple of steps in a sequence of training errors, the network is considered as converged.

  Parameters:
    `aPercentage` - the percentage to set.

### getPercentage

    public double getPercentage()

  Gets the percentage.

  Returns:
    the percentage.

### setCycles

    public void setCycles(int aCylces)

  Sets the number of cycles. Whenever the training error of a network doesn't decrease more than a percentage for this number of cycles, the network is considered as converged.

  Parameters:
    `aCylces` -

### getCycles

    public int getCycles()

  Gets the number of cycles over which convergence is checked.

  Returns:
    the number of cycles.

### manageStop

    protected void manageStop(Monitor mon)

  Specified by:
    `manageStop` in class `MonitorPlugin`

### manageCycle

    protected void manageCycle(Monitor mon)

  Specified by:
    `manageCycle` in class `MonitorPlugin`

### manageStart

    protected void manageStart(Monitor mon)

  Specified by:
    `manageStart` in class `MonitorPlugin`

### manageError

    protected void manageError(Monitor mon)

  Specified by:
    `manageError` in class `MonitorPlugin`

### manageStopError

    protected void manageStopError(Monitor mon,
                                   java.lang.String msgErr)

  Specified by:
    `manageStopError` in class `MonitorPlugin`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net